Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0040663
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Retail Modules] Web POSmajoralways2019-04-24 09:022019-04-26 11:10
ReportermarvintmView Statuspublic 
Assigned Toranjith_qualiantech_com 
PriorityhighResolutionfixedFixed in VersionRR19Q3
StatusclosedFix in branchFixed in SCM revisionad05cbebbc74
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Toadrianromero
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0040663: Users should not be able to close the popup that appears when the application has been updated

DescriptionWhen Openbravo is updated, if the users refresh the WebPOS page, or access it after opening the browser, the sources are automatically updated. However, if the WebPOS was already opened and the user just logs in the application, the sources are not immediately updated. Instead, the application notices that the source version is different, and shows a popup explaining this to the user, and showing a button to reload.

However, the user can close this popup, and in this case the application sources will not be updated until the next refresh or logout/login. This is wrong, the user should not be able to close the popup under any circumstances.
Steps To ReproduceUpdate openbravo.
Log in the WebPOS. Notice that a popup explaining that the sources have changed appears. Notice that this popup can be closed.
Proposed SolutionIt should not be possible to just close this popup. The only possible action should be to reload the application.
TagsNo tags attached.
Attached Filesdiff file icon sourceVersion.diff [^] (2,605 bytes) 2019-04-24 09:03 [Show Content]

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0111296)
hgbot (developer)
2019-04-25 08:02

Repository: erp/pmods/org.openbravo.mobile.core
Changeset: ad05cbebbc74562d462c32c474b46f24151f3505
Author: Ranjith S R <ranjith <at> qualiantech.com>
Date: Thu Apr 25 11:28:10 2019 +0530
URL: http://code.openbravo.com/erp/pmods/org.openbravo.mobile.core/rev/ad05cbebbc74562d462c32c474b46f24151f3505 [^]

Fixed issue 40663 : Users should not be able to close the popup that appears when the application has been updated

---
M web/org.openbravo.mobile.core/source/utils/ob-utilities.js
---
(0111355)
adrianromero (manager)
2019-04-26 11:10

Verified

- Issue History
Date Modified Username Field Change
2019-04-24 09:02 marvintm New Issue
2019-04-24 09:02 marvintm Assigned To => Retail
2019-04-24 09:02 marvintm Triggers an Emergency Pack => No
2019-04-24 09:03 marvintm File Added: sourceVersion.diff
2019-04-24 11:35 ranjith_qualiantech_com Assigned To Retail => ranjith_qualiantech_com
2019-04-25 08:02 hgbot Checkin
2019-04-25 08:02 hgbot Note Added: 0111296
2019-04-25 08:02 hgbot Status new => resolved
2019-04-25 08:02 hgbot Resolution open => fixed
2019-04-25 08:02 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/pmods/org.openbravo.mobile.core/rev/ad05cbebbc74562d462c32c474b46f24151f3505 [^]
2019-04-25 17:05 adrianromero Review Assigned To => adrianromero
2019-04-26 11:10 adrianromero Note Added: 0111355
2019-04-26 11:10 adrianromero Status resolved => closed
2019-04-26 11:10 adrianromero Fixed in Version => RR19Q3


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker